Account Add Role
Add a role to an account. Requires MANAGE_ROLES. Assigning a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be assigned to yourself, and the default member role cannot be assigned through this operation.
Add a role to an account. Requires MANAGE_ROLES. Assigning a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be assigned to yourself, and the default member role cannot be assigned through this operation.
storyden-session<token>role_id*stringRole ID
xidaccount_handle*stringAccount handle.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
joined*MemberJoinedDateThe time the resource was created.
date-timesuspended?MemberSuspendedDateThe time the resource was created.
date-timehandle*AccountHandleThe unique @ handle of an account.
name*AccountNameThe account owners display name.
roles*array<>bio*AccountBioThe rich-text bio for an account's public profile.
signature?AccountSignatureThe rich-text signature shown beneath a member's posts.
links*array<>meta*Arbitrary metadata for the resource.
verified_status*AccountVerifiedStatus"none""verified_email""manual"kind*AccountKind"human""bot"email_addresses*array<>If the instance is configured to not use any email features for auth or transactional/content communications, this will always be empty.
auth_services*array<AuthProviderIdentifier>notifications?NotificationCountadmin*booleaninvited_by?A minimal reference to an account.
curl -X PUT 'https://example.com/api/accounts/southclaws/roles/string'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}, "badge": true, "default": true } ], "bio": "string", "signature": "string", "links": [ { "text": "string", "url": "string" } ], "meta": {}, "verified_status": "none", "kind": "human", "email_addresses": [ { "id": "string", "email_address": "string", "verified": true } ], "auth_services": [ "string" ], "notifications": 0, "admin": true, "invited_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Web Authn Request Credential GET
Start the WebAuthn registration process by requesting a credential.
Account Auth Method Delete DELETE
Deletes the specified authentication method from the account. This is irreversible however if this authentication method is the only remaining method for the account, this operation will fail with a 400 bad request.